LAST(1)

NOM
last, lastb - Afficher une liste des utilisateurs dernièrement connectés

SYNOPSIS
last [-R] [-num] [ -n num ] [-adiox] [ -f fichier ] [ -t YYYYMMDDHHMMSS ] [nom...] [tty...]
lastb [-R] [-num] [ -n num ] [ -f fichier ] [-adiox] [nom...] [tty...]

DESCRIPTION
last parcourt le fichier /var/log/wtmp (ou le fichier indiqué par l'option -f) pour présenter une liste de toutes les connexions et déconnexions des utilisateurs, depuis la création du fichier. Des noms d'utilisateurs ou de terminaux peuvent être spécifiés, afin que last ne montre que les connexions/déconnexions correspondant à ces arguments. Le nom des terminaux peuvent être abrégés, ainsi last 0 est équivalent à last tty0.

Quand last reçoit un signal SIGINT (engendré par la touche d'interruption, généralement Ctrl-C) ou un signal SIGQUIT (déclenché par la touche Quit, généralement Ctrl-E), il indiquera le point où il est arrivé dans le fichier, et dans le cas de SIGINT, last se terminera.

Le pseudo-utilisateur reboot est enregistré à chaque redémarrage du système, ainsi last reboot affichera une liste de toutes les réinitialisations depuis la création du fichier de journalisation.

lastb se comporte comme last, mais il utilise le fichier /var/log/btmp qui journalise toutes les tentatives infructueuses de connexion.

OPTIONS

-num
    Cet argument indique à last le nombre de lignes d'enregistrement à afficher.

-n num
    est équivalent à -num.

-t YYYYMMDDHHMMSS
    Afficher l'état des connexions à la date spécifiée. Cela est très pratique, par exemple, pour déterminer facilement qui était connecté à une heure particulière -- spécifiez cette date avec -t et regardez qui était encore connecté.

-R  Cet argument empêche l'affichage du champ hostname.

-a  Demande à last d'afficher le nom d'hôte en dernière colonne. Principalement utile en combinaison avec l'option suivante.

-d  Pour les connexions non-locales, Linux journalise le nom d'hôte ainsi que son adresse IP. Avec cette option, l'adresse IP est à nouveau reconvertie en nom d'hôte.

-i  Identique à -d dans le fait qu'elle affiche l'adresse IP de l'hôte distant, mais affiche cette adresse sous forme numérique.

-o  Lire un fichier wtmp de type ancien (écrit avec des applications linux-libc5).

-x  Afficher également les arrêts du système et les modifications de niveau d'exécution (run level).

NOTES
Les fichiers wtmp et btmp sont parfois absents. Le système ne journalise les informations que si les fichiers sont deja présents, mais ne les crée pas de lui-même. Il s'agit d'un choix local de configuration. Si vous désirez utiliser ces journalisations, vous pouvez créer les fichiers avec une simple commande touch(1) (par exemple, touch /var/log/wtmp).

FICHIERS
/var/log/wtmp
/var/log/btmp

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
shutdown(8), login(1), init(8)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 9 juin 1997 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 last ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.